
I was having a drink with a friend at a bar. Then we went to his car to leave. I sat in the car.

The next thing I noticed is that I was floating above my body as they carried me into my parents' home. I watched them give me CPR. I saw my mother was in total disarray and in tears. Everyone seemed to be in a panic but responded quickly. They took turns giving me CPR. My brother had to take a break while waiting for the ambulance. As the paramedics arrived, they immediately cut off my shirt. I was choking out blood and foaming at the mouth. I clearly remember they shocked me four times. The paramedic said, 'We will try and resuscitate him in the ambulance.' They tried again. They placed me in the ambulance. I was in the ambulance and above my body watching them place the tubes in me.

I was in peace, warm and happy. We arrived at the hospital. I floated above them and into an operating room as they rolled me onto my side. Black liquid came out. I saw what everyone was wearing and where my family was standing. They all were in tears. My family was praying. At that time, I saw a bright light in a field and I saw Jesus. He reached out and grabbed my hand. He told me, 'Don't be afraid.' I was at peace the whole time. I could clearly see him. He did the sign of the cross and told me it wasn't my time.

I woke up on life support. The doctors said it was a miracle. I had less than 1% chance of living and my brain would be dead. But 0% chance of waking up with nothing wrong with me. I'm still here after numerous tests. I told my parents in detail what happened and they said that is impossible, but you are right. There isn't anything wrong with me other than the things that were wrong with me before. My faith and happiness are restored. I feel closeness with animals, people and life. My understanding of where things come from is extremely more intelligent. I am grateful and humbled by the Grace of Jesus Christ. It restored my family's faith also. It brought us closer.
